Bug 24105 - Longoverdue gives error message when --itemtypes are specified
Summary: Longoverdue gives error message when --itemtypes are specified
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Liz Rea (ByWater)
QA Contact: Testopia
URL:
Keywords:
Depends on: 20436
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-25 16:28 UTC by Liz Rea
Modified: 2020-02-13 20:52 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 24105 - Fix error when running longoverdue.pl with --itemtypes (1.12 KB, patch)
2019-11-25 17:30 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 24105: Fix error when running longoverdue.pl with --itemtypes (1.25 KB, patch)
2020-01-22 10:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-11-25 16:28:25 UTC
I hang my head in shame, my follow up on bug 20436 broke the implementation for longoverdue limiting by item types.

Basically, Kyle had it right the first time, and the QA concern, which I "fixed," broke the feature.

So! I shall "put that thing back where it came from, so help me."
Comment 1 Liz Rea 2019-11-25 17:30:02 UTC
Created attachment 95799 [details] [review]
Bug 24105 - Fix error when running longoverdue.pl with --itemtypes

To test:

Run Longoverdue.pl as koha-shell with both 1 and several --itemtypes specified
notice that it has an error
apply this patch
run longoverdue.pl as koha-shell with both 1 and several --itemtypes specified
notice there isn't an error anymore!
Comment 2 David Roberts 2020-01-21 18:01:13 UTC
Seems to work OK in my dev environment according to the test plan. Signing off.
Comment 3 Jonathan Druart 2020-01-22 10:44:05 UTC
Created attachment 97699 [details] [review]
Bug 24105: Fix error when running longoverdue.pl with --itemtypes

To test:

Run Longoverdue.pl as koha-shell with both 1 and several --itemtypes specified
notice that it has an error
apply this patch
run longoverdue.pl as koha-shell with both 1 and several --itemtypes specified
notice there isn't an error anymore!

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-01-23 10:36:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-02-06 23:25:03 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 6 Lucas Gass 2020-02-13 20:52:48 UTC
backported to 19.05.x for 19.05.08